package olg.csv.bean;

import org.junit.Assert;
import org.junit.Test;

public class UtilTest {

	@Test
	public void isConcreteTest() {
		Assert.assertTrue("A Concrete class is a concrete class", Util.isConcrete(ConcreteClass.class));
		Assert.assertTrue("An Enum is a concrete class", Util.isConcrete(EnumTest.class));
		Assert.assertFalse("An Abstract class is not a concrete class", Util.isConcrete(AbstractClass.class));
		Assert.assertFalse("An Interface is not a concret class", Util.isConcrete(InterfaceTest.class));

	}

	enum EnumTest {
		enum1, enum2
	};
	abstract class AbstractClass {
		abstract void foo();
	}
	interface InterfaceTest {
		void foo();
	}
	class ConcreteClass {
		void foo() {
		}
	}
}
