/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotation.test.model;

import olg.csv.bean.formatter.Formatter;

public class TestBeanFormatter extends Formatter<TestBean> {
	private boolean bool;

	private String string;

	private int integer;

	public boolean isBool() {
		return bool;
	}

	public String getString() {
		return string;
	}

	public int getInteger() {
		return integer;
	}

	public void setBool(boolean bool) {
		this.bool = bool;
	}

	public void setString(String string) {
		this.string = string;
	}

	public void setInteger(int integer) {
		this.integer = integer;
	}
}
