/*
 * Copyright 2013 Olivier Godineau
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package olg.csv.bean.annotation.test.model;

import olg.csv.bean.annotations.CSVProperty;
import olg.csv.bean.annotations.Param;
import olg.csv.bean.annotations.RowBean;

@RowBean(CSVReadingParams = {

@Param(name = CSVProperty.HEADERS, value = "true"),
// unexpected param
		@Param(name = CSVProperty.LINE_SEPARATOR, value = "x"),

		@Param(name = CSVProperty.SEPARATOR, value = "x"),

		@Param(name = CSVProperty.DELIMITER, value = "y"),

		@Param(name = CSVProperty.CHARSETNAME, value = "ANSI")

})
public class TestRowBeanProcessorSettingsBean2 extends TestRowBeanProcessorParentSettingsBean {

}
